version: '3.6'
services:
  nginx:
    build: docker/nginx
    ports:
      - 80:80
      - 10000:10000
    volumes:
      - ./:/usr/share/nginx/html

  php:
    build: docker/php
    volumes:
      - ./api:/api

  database:
    image: postgres:13.0
    ports:
      - 5432:5432
    environment:
      - POSTGRES_DB=laravel
      - POSTGRES_USER=root
      - POSTGRES_PASSWORD=s3cr3t

  node:
    build: docker/node
    volumes:
      - ./web:/app
